Name: sqlite
Version: 2.8.16
Release: alt1.1.0
License: The author disclaims copyright to this source code.
Group: Development/Other
Summary: SQLite: An Embeddable SQL Database Engine
Summary(ru_RU.KOI8-R): SQLite:  SQL  
Url: http://www.sqlite.org/
Source: sqlite-%version.tar.gz

BuildPreReq: autoconf >= 2.53, automake >= 1.6.1, libtool_1.5, rpm-build-tcl

# Automatically added by buildreq on Fri Feb 04 2005
BuildRequires: gcc-c++ libreadline-devel libstdc++-devel tcl-devel

%description
SQLite: An Embeddable SQL Database Engine

%description -l ru_RU.KOI8-R
SQLite:  SQL  

%package devel
Summary: Devel files for SQLite
Summary(ru_RU.KOI8-R):     SQLite
Group: Development/Other
Requires: sqlite = %version

%description devel
Devel files for SQLite

%description -l ru_RU.KOI8-R devel
     SQLite

%package devel-static
Summary: Static Libraries for SQLite
Summary(ru_RU.KOI8-R):      SQLite
Group: Development/Other
Requires: sqlite-devel = %version

%description devel-static
Static Libraries for SQLite

%description -l ru_RU.KOI8-R devel
      SQLite

%package tcl
Summary: Tcl binding for SQLite
Summary(ru_RU.KOI8-R): SQLite  Tcl
Group: Development/Other
Requires: sqlite = %version

%description tcl
Tcl binding for SQLite

%description -l ru_RU.KOI8-R tcl
SQLite  Tcl

%prep
%setup -q -n %name-%version

%build
mkdir -p bld
cp VERSION bld/
cd bld
../configure --prefix=%prefix --bindir=%_bindir --sysconfdir=%_sysconfdir --datadir=%_datadir --includedir=%_includedir --libdir=%_libdir --mandir=%_mandir --infodir=%_infodir --without-included-gettext --enable-utf8 --enable-tempdb-in-ram

%make_build all libtclsqlite.la

%__subst 's#usr/lib/sqlite#usr/lib/tcl#g' libtclsqlite.la
#exit
%make_build tclsqlite

make doc

%install
cd bld
%makeinstall

if [ "/usr/lib" != "%_libdir" ]; then
    mv -f %buildroot/usr/lib %buildroot/%_libdir
fi

mkdir -p %buildroot%_man1dir
cp ../sqlite.1 %buildroot%_man1dir

mkdir -p %buildroot%_tcllibdir
mkdir -p %buildroot%_tcldatadir

subst "s#'/usr/lib'#'%_libdir'#g" *.la
subst "s#/usr/lib/#%_libdir/#g" *.la

export LD_PRELOAD=%buildroot%_libdir/libsqlite.so.0

libtool --mode=install %__install libtclsqlite.la %buildroot%_tcllibdir

%tea_makeindex -C %buildroot%_tcldatadir/TclSqlite -f ./libtclsqlite.so.0

install -m 755 .libs/tclsqlite %buildroot%_bindir

rm -f %buildroot%_tcllibdir/*.la
rm -f %buildroot%_tcllibdir/*.a

%files
%doc README doc/lemon.html doc/report1.txt bld/doc/*
%_bindir/sqlite
%_libdir/*.so.*
%_man1dir/*

%files devel
%_includedir/*
%_libdir/pkgconfig/*
%_libdir/*.so

%files devel-static
#%_libdir/*.la
%_libdir/*.a

%files tcl
%_bindir/tclsqlite
%_tcllibdir/*
%_tcldatadir/TclSqlite

%changelog
* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.8.16-alt1.1.0
- Automated rebuild.

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.8.16-alt1.1
- Rebuilt with libreadline.so.5.

* Sat Mar 12 2005 Denis Smirnov <mithraen@altlinux.ru> 2.8.16-alt1
- version update

* Thu Feb 10 2005 Denis Smirnov <mithraen@altlinux.ru> 2.8.15-alt2
- fix version in sqlite.pc

* Fri Feb 04 2005 Denis Smirnov <mithraen@altlinux.ru> 2.8.15-alt1
- version update
- build requires rpm-build-tcl

* Sat Sep 04 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.13-alt5
- x86_64 build fixed

* Fri Jun 04 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.13-alt4
- Rebuild

* Thu Jun 03 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.13-alt2
- Fix for correcting update

* Mon May 31 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.13-alt1
- Some minor packaging fixes
- Tcl binding bugfix

* Sun Apr 11 2004 Denis Smirnov <mithraen@altlinux.ru> 2.8.5-alt3
- Tcl binding build

* Sat Dec 13 2003 Ott Alex <ott@altlinux.ru> 2.8.5-alt2
- Remove .la files

* Sun Jul 27 2003 Ott Alex <ott@altlinux.ru> 2.8.5-alt1
- New version

* Tue Jul 22 2003 Ott Alex <ott@altlinux.ru> 2.8.4-alt1
- Initial build
